hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Phan Dac Anh Huy (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (HADOOP-6067) Cannot build HDFS library using ant
Date Thu, 18 Jun 2009 04:31:07 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-6067?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Phan Dac Anh Huy resolved HADOOP-6067.
--------------------------------------

      Resolution: Fixed
    Hadoop Flags: [Incompatible change]

> Cannot build HDFS library using ant
> -----------------------------------
>
>                 Key: HADOOP-6067
>                 URL: https://issues.apache.org/jira/browse/HADOOP-6067
>             Project: Hadoop Core
>          Issue Type: Bug
>          Components: scripts
>    Affects Versions: 0.21.0
>            Reporter: Phan Dac Anh Huy
>
> As latest revison of Scribe requires trunk source code from Hadoop, I have to build the
HDFS library manually using ant.
> I notice that the target name was changed to compile-c++-libhdfs ( it was compile-libhdfs
before ).
> Then I use the following command : 
> $ ant compile-c++-libhdfs -Dlibhdfs=1
> $ ant package
> $ ant compile-contrib -Dlibhdfs=1 -Dfusedfs=1
> I got this error message : 
> /root/hadoop_trunk/src/contrib/fuse-dfs/build.xml:37: libhdfs.so does not exist:
> Seems that the libhdfs.so should be built after "ant package" but it's not.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message